On Fri, Nov 15, 2019 at 11:06 AM Lucas Werkmeister <
lucas.werkmeis...@wikimedia.de> wrote:

> That was six years ago, predating extension registration – I would assume
> that nowadays extensions are supposed to declare their compatible MediaWiki
> versions in extension.json
> <
> https://www.mediawiki.org/wiki/Manual:Extension_registration#Requirements_(dependencies)
> >
> (details
> <https://www.mediawiki.org/wiki/Manual:Extension.json/Schema#requires>).
>

It also predated T467 RfC: Extension management with Composer
<https://phabricator.wikimedia.org/T467>, which rejected the proposal to
manage extensions via composer.

I think you assume correctly.

-- 
Brad Jorsch (Anomie)
Senior Software Engineer
Wikimedia Foundation
_______________________________________________
Wikitech-l mailing list
Wikitech-l@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/wikitech-l

Reply via email to